aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--.config/gtk-3.0/settings.ini4
-rw-r--r--.config/mako/config3
-rw-r--r--.config/neofetch/config.conf2
-rwxr-xr-x.config/scripts/network.sh9
-rw-r--r--.config/sway/config2
-rw-r--r--.zshenv14
-rw-r--r--.zshrc6
7 files changed, 31 insertions, 9 deletions
diff --git a/.config/gtk-3.0/settings.ini b/.config/gtk-3.0/settings.ini
index 951629d0..5dbaa83c 100644
--- a/.config/gtk-3.0/settings.ini
+++ b/.config/gtk-3.0/settings.ini
@@ -1,5 +1,5 @@
[Settings]
-#gtk-icon-theme-name = catppuccin
+gtk-icon-theme-name = catppuccin
gtk-theme-name = Catppuccin-blue
-#gtk-cursor-theme-name = Catppuccin-Mauve-Cursors
+gtk-cursor-theme-name = Catppuccin-Mauve-Cursors
gtk-font-name = DejaVu Sans 11
diff --git a/.config/mako/config b/.config/mako/config
index a62c4d0a..53802ae6 100644
--- a/.config/mako/config
+++ b/.config/mako/config
@@ -4,8 +4,7 @@ markup=1
anchor=top-right
background-color=#1E1E28
text-color=#DADAE8
-max-icon-size=24
-width=200
+max-icon-size=48
icon-location=right
margin=20,20,0
padding=15,15,15
diff --git a/.config/neofetch/config.conf b/.config/neofetch/config.conf
index 2086ed04..5829a155 100644
--- a/.config/neofetch/config.conf
+++ b/.config/neofetch/config.conf
@@ -3,7 +3,7 @@ print_info() {
info underline
info "" distro
info "" model
- info "" kernel
+ info "" kernel
info "" uptime
info "" packages
info "" shell
diff --git a/.config/scripts/network.sh b/.config/scripts/network.sh
index cd8692d8..3a71c743 100755
--- a/.config/scripts/network.sh
+++ b/.config/scripts/network.sh
@@ -1,2 +1,9 @@
#!/bin/bash
-iwgetid -r
+iwgetid -r >&- 2> /dev/null
+
+if [ $? -eq 0 ]
+then
+ iwgetid -r
+else
+ echo "null" >&2
+fi
diff --git a/.config/sway/config b/.config/sway/config
index 63e21058..01ec7f1f 100644
--- a/.config/sway/config
+++ b/.config/sway/config
@@ -42,7 +42,7 @@ set $gnome-schema org.gnome.desktop.interface
exec_always {
gsettings set $gnome-schema gtk-theme 'Catppuccin-blue'
#gsettings set $gnome-schema icon-theme 'catppuccin'
- #gsettings set $gnome-schema cursor-theme 'Catppuccin-Mauve-Cursors'
+ gsettings set $gnome-schema cursor-theme 'Catppuccin-Mauve-Cursors'
#gsettings set $gnome-schema font-name 'font_name'
}
diff --git a/.zshenv b/.zshenv
index 0594c436..c0ffcb31 100644
--- a/.zshenv
+++ b/.zshenv
@@ -1,6 +1,16 @@
-export MOZ_ENABLE_WAYLAND=1
+#!/bin/zsh
+
+if test -z "${XDG_RUNTIME_DIR}"; then
+ export XDG_RUNTIME_DIR=/tmp/${UID}-runtime-dir
+ if ! test -d "${XDG_RUNTIME_DIR}"; then
+ mkdir "${XDG_RUNTIME_DIR}"
+ chmod 0700 "${XDG_RUNTIME_DIR}"
+ fi
+fi
+
typeset -U PATH path
path=("$HOME/.local/bin" "$path[@]")
export PATH
export BEMENU_BACKEND=wayland
-
+export EDITOR=nvim
+export MOZ_ENABLE_WAYLAND=1
diff --git a/.zshrc b/.zshrc
index 0c11237f..e5dc1500 100644
--- a/.zshrc
+++ b/.zshrc
@@ -1,3 +1,9 @@
+#!/bin/zsh
+
+if [ "$(tty)" = "/dev/tty1" ]; then
+ exec dbus-run-session sway
+fi
+
HISTFILE=~/.zsh_history
HISTSIZE=10000
SAVEHIST=10000